# -*- coding: utf-8 -*-
"""
/***************************************************************************
 FixSelectDialog
                                 A QGIS plugin
 asd
                             -------------------
        begin                : 2013-07-14
        copyright            : (C) 2013 by daniel vaz
        email                : danievaz@gmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
"""


from PyQt4 import QtCore, QtGui
from ui_fixselect import Ui_FixSelect
# create the dialog for zoom to point

from qgis.core import *


class FixSelectDialog(QtGui.QDialog):
    def __init__(self, iface):
        QtGui.QDialog.__init__(self)
        self.iface = iface
        # Set up the user interface from Designer.
        self.ui = Ui_FixSelect()
        self.ui.setupUi(self)
        #
        self.ui.buttonOne.clicked.connect( self.b1 )
    
    def b1(self):
      print 'b1 clicked'
      layer = self.iface.activeLayer()
      if layer:
        print 'layer was connect'
        layer.geometryChanged.connect(self.onLineGeometryChange)
        QtGui.QMessageBox.information(None, 'Info', 'Layer was connected. Please try to move or use node tool')
      else:
        QtGui.QMessageBox.warning(None, 'Warning', 'Please select one layer')
    
    def onLineGeometryChange(self, featureId, geom ):
      print 'geom changed'
      layer = self.iface.activeLayer()
      if layer:
        print 'trying select'
        r = QgsRectangle(0.0, 0.0, 1.0, 1.0)
        layer.select( r, False )
        print 'select was done'
